Subject: Re: bug#75530: [PATCH 1/3] Remap read-only-mode in wdired-mode-map

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Feb 2025 21:38:16 +0200

> From: Liam Hupfer <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 02 Feb 2025 13:22:17 -0600
> 
> >> +—
> >> +*** wdired-exit binding now respects changes to read-only-mode.
> >> +Previously ’wdired-mode-map’ bound ’wdired-exit’ to ’C-x C-q’. Now a
> >> +remap of ’read-only-mode’ is used. This matches Dired’s
> >> +’wdired-change-to-wdired-mode’ binding.
> >
> > Also, this entry should mention the key bindings explicitly, since
> > that is what is being remapped.  And the last sentence is not needed,
> > since NEWS doesn’t normally need to justify the changes, only to
> > describe them.
> 
> Can you give an example of what you expect here? Since the default
> ‘read-only-mode’ binding is also C-x C-q, the only user-facing aspect of
> this change is the remap itself. Users who don’t change their
> ‘read-only-mode’ binding will not notice any difference.

Instead of talking about remapping read-only-mode, I'd like NEWS to
explain what that means from the user POV.  I presume you wanted to
allow users bind read-only-mode to something other than "C-x C-q", and
have wdired-exit binding to follow suit.  This is what the NEWS entry
should say.  Talking about remapping describes the implementation, not
the user-facing changes in behavior.

Thanks.